import java.math.*;
import com.ibm.as400.access.*;
import com.ibm.connector.as400.ProgramCallBean;
import com.ibm.connector2.iseries.pgmcall.ProgramCallRecord;
import com.ibm.connector2.iseries.pgmcall.ProgramCallStruct;

public class OrderSupply extends ProgramCallBean
{

	public OrderSupply() {
		super();
		setPcmlName("OrderSupply");
		setProgramName("OrderSupply");
	}
	public OrderSupply(String jndiName) {
		super(jndiName);
		setPcmlName("OrderSupply");
		setProgramName("OrderSupply");
	}

	public void setItemNo(BigDecimal ItemNo) {
		setValue(_strParentField + ".ItemNo", ItemNo);
	}

	public void setQuantity(BigDecimal Quantity) {
		setValue(_strParentField + ".Quantity", Quantity);
	}

	public void setSize(String Size) {
		setValue(_strParentField + ".Size", Size);
	}

	public String getReturnCode() {
		return (String) getValue(_strParentField + ".ReturnCode");
	}

	public BigDecimal getPrice() {
		return (BigDecimal) getValue(_strParentField + ".Price");
	}



    /**
     * Invoke the host program
     * The connection data, i.e. host information, must be set.
     * All the input parameter must be set.
     *
     */
    public void invoke()
    {
      super.invoke();
    }

    /**
     * Set up the connection data.
     *
     * @param as400Obj AS400 an existing instance of AS400Object
     */
    public void setConnectionData( AS400 as400Obj )
    {
      super.setConnectionData( as400Obj );
    }

    /**
     * Set up the connection data.
     * To display the sign-on prompt, 
     * pass empty string, "", to the parameter(s).
     *
     * @param hostname String iSeries hostname
     * @param userid   String user id
     * @param passwd   String password
     */
    public void setConnectionData( String hostname, String userid, String passwd )
    {
      super.setConnectionData(hostname, userid, passwd );
    }

    /**
     * Get the AS400 object
     *
     * @return AS400 AS400 object for the current connection
     */
    public AS400 getAS400Object( )
    {
      return super.getAS400Object();
    }

    /**
     * Add library list
     *
     * @param liblist  String[] library list
     */
    public void setLibraryList( String[] liblist )
    {
      super.setLibraryList(liblist);
    }

    /**
     * Disconnect the iSeries connection
     *
     */
    public void disconnect( )
    {
      super.disconnect();
    }

    /**
     * Enable Pcml trace
     *
     */
    public void setTraceEnabled( boolean bEnabled )
    {
      super.setTraceEnabled(bEnabled);
    }



	private String _strParentField = "OrderSupply";
}
